Page 1 of 1

Install NVIDIA drivers with kernel 5.3

Posted: 2019/11/09 22:39:34
by captjohn71
I have Centos 7.7.1908 installed and upgraded the Kernel to 5.3.9-1 and cannot get the NVIDIA drivers to install. I had it running fine before I upgraded the kernel. I installed the kernel with the following: yum --enablerepo=elrepo-kernel install kernel-ml kernel-ml-devel

If I try to install the driver via yum i get the following: "Package kernel-devel-3.10.0-1062.4.1.el7.x86_64 already installed and latest version". But when I boot the GUI will not load. If I select the previous kernel then the GUI will load. There may be an issue now with my yum repositories not being in sync with the kernel but I am not that knowledgeable as to how to determine if this is the issue or something else.

The reason to upgrade the kernel to 5.3 is that I want to install Plex media server on this computer and saw that Plex requires this kernel.

Re: Install NVIDIA drivers with kernel 5.3

Posted: 2019/11/10 12:25:43
by TrevorH
I do not think plex requires a non-distro kernel. Their support page https://support.plex.tv/articles/200375 ... uirements/ says it just works.

But the package you wanted is kernel-ml-devel not kernel-devel...

Re: Install NVIDIA drivers with kernel 5.3

Posted: 2019/11/11 12:07:17
by stevemowbray
Plex does not require this kernel, I have been running it on the distro kernel for a couple of years with no problems.